Skip to main content
GET
List webhook subscription deliveries

Authorizations

Authorization
string
header
required

A JWT signed using your CDP API Key Secret, encoded in base64. Refer to the Generate Bearer Token section of our Authentication docs for information on how to generate your Bearer Token.

Path Parameters

subscriptionId
string<uuid>
required

Unique identifier for the webhook subscription.

Pattern: ^[a-f0-9\-]{36}$

Query Parameters

pageSize
integer
default:50

The number of deliveries to return per page.

Required range: 1 <= x <= 1000
pageToken
string

The token for the next page of resources, if any.

matchId
string<uuid>

Filter delivery attempts by a specific matched event ID.

Pattern: ^[a-f0-9\-]{36}$

Response

Webhook deliveries retrieved successfully.

Response containing a paginated list of webhook delivery attempts.

deliveries
object[]
required

The webhook delivery attempts, ordered by attemptedAt in descending order (most recent first).

nextPageToken
string

The token for the next page of items, if any.

Example:

"eyJsYXN0X2lkIjogImFiYzEyMyIsICJ0aW1lc3RhbXAiOiAxNzA3ODIzNzAxfQ=="